1. Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

Dismiss Notice
This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Addon TuSKe - Custom Enchantments, GUI Manager and more! 1.8.2

A Skript addon which brings custom things to help you to improve your scripts.

  1. Tuke_Nuke

    Retired Staff Addon Developer

    Joined:
    Dec 9, 2016
    Messages:
    150
    Likes Received:
    87
    Tuke_Nuke submitted a new resource:

    TuSKe - A Skript addon

    Read more about this resource...
     
    #1 Tuke_Nuke, Jan 7, 2017
    Last edited by a moderator: Jan 27, 2017
  2. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    1.10.2 Support?
     
  3. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    it does support 1.10.2 it should be working at 1.11.2 also.
     
  4. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    thank you
     
  5. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Again, same answer I gave you on Skellett's thread, there is an Extra Tab where it is required for addons (and other resources) to put the versions they support.
     
    • Agree Agree x 1
  6. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Thank you, I now know how to view Extra Tab
    --- Double Post Merged, Jan 27, 2017, Original Post Date: Jan 26, 2017 ---

    --- Double Post Merged, Jan 27, 2017 ---

    --- Double Post Merged, Jan 27, 2017 ---
    Code (Text):
    1.  
    2.  
    3. >
    4. >
    5. >
    6. >sk reload 1
    7. [00:11:38 INFO]: [Skript] Reloading 1.sk...
    8. [00:11:38 ERROR]: can't understand this event: 'on player stop move' (1.sk, line 12: on player stop move:')
    9. [00:11:38 INFO]: [Skript] Encountered 1 error while reloading 1.sk!
    10. >tuske
    11. tuske         tuske:tuske
    12. >tuske
    13. [00:11:40 INFO]: [TuSKe] Main commands:
    14. [00:11:40 INFO]: /tuske reload > Reload config/enchantments.
    15. [00:11:40 INFO]: /tuske update > Check for latest update.
    16. [00:11:40 INFO]: /tuske ench > Manage the enchantments.
    17. >
    18.  
    19.  
    20. [00:12:06 INFO]: Stopping server
    21. [00:12:06 INFO]: [TuSKe] Disabling TuSKe v1.7
    22. [00:12:06 INFO]: [SkQuery] Disabling SkQuery v3.5.1
    23. [00:12:06 INFO]: [Skellett] Disabling Skellett v1.7.7c
    24. [00:12:06 INFO]: [Multiverse-Core] Disabling Multiverse-Core v2.5-b719
    25. [00:12:06 INFO]: [Residence] Disabling Residence v4.5.13.4
    26. [00:12:06 INFO]: [Residence] Disabled!
    27. [00:12:06 INFO]: [PlotSquared] Disabling PlotSquared v3.5.0-SNAPSHOT-95f8aaa
    28. [00:12:06 INFO]: [Skript] Disabling Skript v2.2-dev23
    29. [00:12:06 INFO]: [WorldEdit] Disabling WorldEdit v6.1.5;4651611
    30.  

    Code (Text):
    1.  
    2. command /1:
    3.     trigger:
    4.         if player is moving:
    5.             send "ok"
    6.             stop
    7.         send "no"
    8.  
    9. [01:42:55 INFO]: [Skript] Reloading 1.sk...
    10. [01:42:55 ERROR]: Can't compare a player with 'moving' (1.sk, line 29: if player is moving:')
    11. [01:42:55 INFO]: [Skript] Encountered 1 error while reloading 1.sk!
    12.  
    13.  
    14.  
    15. on player start walking:  Script loaded successfully, but invalid,,
    16.  
    Can I fix this? I want to use skript to make a tntrun
    @Tuke_Nuke
     
    #6 ShaneBee, Jan 27, 2017
    Last edited by a moderator: Jan 27, 2017
  7. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
  8. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Not sure where you got that link from, but all you have to do is click the Overview tab above.

    Edited: Derp, I am still waking up. That was our staging site. Where did you find that link so I can fix it?
     
  9. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    in first comment, "Read more about this resource..."
     
  10. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    • Like Like x 1
  11. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    404 error again...
    This
     
  12. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    You can click on Overview for the resource's main page or download the addon at button above
     
  13. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Thank you, sir. Not sure why it didn't show up on Chrome.

    Also, I'm looking for a Spigot 1.8 version, which I didn't find any. I'm gonna test this out in a few minutes. If you could help me out with that, I'd be very happy.
    Thank you :emoji_slight_smile:
     
  14. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    @lucasmooon Sure I can. The right (and legal) way is go to https://www.spigotmc.org/ and see the tutorial of how to compile it for yourself. But, there is a site out there that provides directly downloads of any spigot.jar, you can find it just searching "spigot download", and then choose the version that you want.
     
  15. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Sorry, I made a mistake. I didn't mean an actual 1.8 Spigot, but a 1.8 TuSKe Spigot ver :emoji_slight_smile:
    My bad. Thank you.
     
  16. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    @lucasmooon I miss understand. TuSKe works on all versions, from 1.8 to 1.11. In case there is something wrong, just check your console while TuSKe is enabling, then just copy and paste the message here.
     
  17. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Hey, Tuke, thanks for the help so far.


    Here is the error:

    Skript version: 2.1.2
    Spigot version: 1.8

    Code (Skript):
    1.  
    2. [13:12:32 ERROR]: Error occurred while enabling TuSKe v1.7 (Is it up to date?)
    3. java.lang.NoSuchMethodError: ch.njol.skript.Skript.classExists(Ljava/lang/String
    4. ;)Z
    5.         at me.tuke.sktuke.util.Register.load(Register.java:833) ~[?:?]
    6.         at me.tuke.sktuke.TuSKe.onEnable(TuSKe.java:40) ~[?:?]
    7.         at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316) ~[s
    8. pigot.jar:git-Spigot-"8c26a90"]
    9.         at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader
    10. .java:333) [spigot.jar:git-Spigot-"8c26a90"]
    11.         at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManage
    12. r.java:412) [spigot.jar:git-Spigot-"8c26a90"]
    13.         at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugin(CraftServer.jav
    14. a:352) [spigot.jar:git-Spigot-"8c26a90"]
    15.         at org.bukkit.craftbukkit.v1_8_R1.CraftServer.enablePlugins(CraftServer.
    16. java:313) [spigot.jar:git-Spigot-"8c26a90"]
    17.         at net.minecraft.server.v1_8_R1.MinecraftServer.q(MinecraftServer.java:4
    18. 00) [spigot.jar:git-Spigot-"8c26a90"]
    19.         at net.minecraft.server.v1_8_R1.MinecraftServer.k(MinecraftServer.java:3
    20. 68) [spigot.jar:git-Spigot-"8c26a90"]
    21.         at net.minecraft.server.v1_8_R1.MinecraftServer.a(MinecraftServer.java:3
    22. 23) [spigot.jar:git-Spigot-"8c26a90"]
    23.         at net.minecraft.server.v1_8_R1.DedicatedServer.init(DedicatedServer.jav
    24. a:211) [spigot.jar:git-Spigot-"8c26a90"]
    25.         at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java
    26. :496) [spigot.jar:git-Spigot-"8c26a90"]
    27.         at java.lang.Thread.run(Unknown Source) [?:1.8.0_101]
    28.  
     
  18. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
  19. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Thank you a lot Snow and Tuke, it worked.
    Sorry for the ignorance, it's very hard to find a 1.8 version of Skript so straightly like this.
     
    • Friendly Friendly x 1
  20. ShaneBee

    Supporter + Addon Developer

    Joined:
    Sep 7, 2017
    Messages:
    2,106
    Likes Received:
    150
    Don't worry, such as the most common place where you can get Skript is bukkit no one thought that it was updated by other person, glad to see that it worked too.
     
    • Friendly Friendly x 1
Loading...